## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMapKeyTraits< XalanDOMString *> Struct Template Reference

`#include <DOMStringHelper.hpp>`

List of all members.

## Public Types

- typedef DOMStringPointerHashFunction Hasher
- typedef pointer_equal<XalanDOMString> Comparator

### template<> struct XalanMapKeyTraits< XalanDOMString *>

## Member Typedef Documentation

template<>
typedef pointer_equal< XalanDOMString > XalanMapKeyTraits< XalanDOMString *>::Comparator<XalanDOMString>

template<>
typedef DOMStringPointerHashFunction XalanMapKeyTraits< XalanDOMString *>::Hasher

The documentation for this struct was generated from the following file:

- DOMStringHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.